Skip to Content
List webhooks
get

Returns a list of webhooks configured for the current environment, sorted by creation time with the most recently created first. The signing_secret is not included; it is only returned once, when a webhook is created.

Request path & query params
limit
integer
(default: 25)

Number of items to include in the response

page
integer
(default: 1)

Offset by this many pages, of the size of limit

get
200
https://api.mux.com/system/v1/webhooks
Response
(application/json)
{
  "data": [
    {
      "id": "fjk04c",
      "address": "https://example.com/webhook2",
      "enabled": false,
      "created_at": "2026-07-21T17:05:32.000000Z"
    },
    {
      "id": "abc12d",
      "address": "https://example.com/webhook",
      "enabled": true,
      "created_at": "2026-07-15T12:00:00.000000Z"
    }
  ],
  "total_row_count": 2,
  "page": 1,
  "limit": 25
}